Gecode::Advisor Class Reference
Functionality by programming task » Programming actors

Base-class for advisors. More...

`#include <core.hpp>`

## Public Member Functions

template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.

## Protected Member Functions

Propagator & | propagator (void) const
| Return the advisor's propagator.

## Memory management

template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.

## Detailed Description

Base-class for advisors.

Advisors are typically subclassed for each propagator that wants to use advisors. The actual member function that is executed when a variable is changed, must be implemented by the advisor's propagator.

Definition at line 1292 of file core.hpp.

## Constructor & Destructor Documentation

## Advisor() [1/2]

template<class A>

Gecode::Advisor::Advisor | ( | Space & | home,
|  | Propagator & | p,
|  | Council< A > & | c )

inline

Constructor for creation.

Definition at line 3831 of file core.hpp.

## Advisor() [2/2]

Gecode::Advisor::Advisor | ( | Space & | home,
|  | Advisor & | a )

inline

Copying constructor.

Definition at line 3839 of file core.hpp.

## Member Function Documentation

## propagator()

Propagator & Gecode::Advisor::propagator | ( | void |  | ) | const

inline protected

Return the advisor's propagator.

Definition at line 3857 of file core.hpp.

## operator()()

const ViewTraceInfo & Gecode::Advisor::operator() | ( | const Space & | home | ) | const

inline

Provide access to view trace information.

Definition at line 3874 of file core.hpp.

## dispose()

template<class A>

void Gecode::Advisor::dispose | ( | Space & | home,
|  | Council< A > & | c )

inline

Dispose the advisor.

Definition at line 3864 of file core.hpp.

## operator new()

void * Gecode::Advisor::operator new | ( | size_t | s,
|  | Space & | home )

inline static

Allocate memory from space.

Definition at line 3033 of file core.hpp.

## operator delete()

void Gecode::Advisor::operator delete | ( | void * | p,
|  | Space & | home )

inline static

No-op for exceptions.

Definition at line 3031 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp